<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.1                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2009 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529     Patch: 15                                                 |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Content
 * @copyright (C) 2002-2009 Esselbach Internet Solutions
 */

/**
 * function AdminAddPage
 * A function to add a new page
 * @author Philipp Louis Esselbach
 */
function AdminAddPage( $notice )
{
	global $database, $html, $security, $system, $preferences, $wysiwyg, $login_username, $words_content;
	$input_website = ( isset( $_POST[ 'input_website' ] ) ) ? $system -> stripthis( $_POST[ 'input_website' ] ) : "" ;
	$input_category = ( isset( $_POST[ 'input_category' ] ) ) ? $system -> stripthis( $_POST[ 'input_category' ] ) : "" ;
	$input_frontpage = ( isset( $_POST[ 'input_frontpage' ] ) ) ? $system -> stripthis( $_POST[ 'input_frontpage' ] ) : "" ;
	$input_page_title = ( isset( $_POST[ 'input_page_title' ] ) ) ? $system -> stripthis( $_POST[ 'input_page_title' ] ) : "" ;
	$input_page_seo = ( isset( $_POST[ 'input_page_seo' ] ) ) ? $system -> stripthis( $_POST[ 'input_page_seo' ] ) : "" ;
	$input_page_description = ( isset( $_POST[ 'input_page_description' ] ) ) ? $system -> stripthis( $_POST[ 'input_page_description' ] ) : "" ;
	$input_page_keywords = ( isset( $_POST[ 'input_page_keywords' ] ) ) ? $system -> stripthis( $_POST[ 'input_page_keywords' ] ) : "" ;
	$input_page_content = ( isset( $_POST[ 'input_page_content' ] ) ) ? $system -> stripthis( $_POST[ 'input_page_content' ] ) : "" ;
	$input_page_tags = ( isset( $_POST[ 'input_page_tags' ] ) ) ? $system -> stripthis( $_POST[ 'input_page_tags' ] ) : "" ;
	$input_html = ( isset( $_POST[ 'input_html' ] ) ) ? $system -> stripthis( $_POST[ 'input_html' ] ) : "" ;
	$input_smilies = ( isset( $_POST[ 'input_smilies' ] ) ) ? $system -> stripthis( $_POST[ 'input_smilies' ] ) : "" ;
	$input_blockcode = ( isset( $_POST[ 'input_blockcode' ] ) ) ? $system -> stripthis( $_POST[ 'input_blockcode' ] ) : "" ;
	$input_url_tag = ( isset( $_POST[ 'input_url_tag' ] ) ) ? $system -> stripthis( $_POST[ 'input_url_tag' ] ) : "" ;
	$input_url_get = ( isset( $_POST[ 'input_url_get' ] ) ) ? $system -> stripthis( $_POST[ 'input_url_get' ] ) : "" ;
	$input_status = ( isset( $_POST[ 'input_status' ] ) ) ? $system -> stripthis( $_POST[ 'input_status' ] ) : "" ;
	$input_password = ( isset( $_POST[ 'input_password' ] ) ) ? $system -> stripthis( $_POST[ 'input_password' ] ) : "" ;
	$input_form_mail = ( isset( $_POST[ 'input_form_mail' ] ) ) ? $system -> stripthis( $_POST[ 'input_form_mail' ] ) : "" ;
	$input_form_name = ( isset( $_POST[ 'input_form_name' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_form_name' ] ) : "" ;
	$input_form_status = ( isset( $_POST[ 'input_form_status' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_form_status' ] ) : "" ;
	$input_file_title = ( isset( $_POST[ 'input_file_title' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_file_title' ] ) : array() ;
	$input_file_description = ( isset( $_POST[ 'input_file_description' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_file_description' ] ) : array() ;
	$input_dofileedit = ( isset( $_POST[ 'input_dofileedit' ] ) ) ? $system -> stripthis( $_POST[ 'input_dofileedit' ] ) : "" ;
	$input_dopreview = ( isset( $_POST[ 'input_dopreview' ] ) ) ? $system -> stripthis( $_POST[ 'input_dopreview' ] ) : "" ;
	
	$security_hash = $system -> adminhashput();
	
	$html -> makeheader( $words_content[ 'ADD_NEW_PAGE' ] );
	
	if( $preferences[ 'content_wysiwyg' ] )
	{
		$wysiwyg -> wysiwyginit( "input_page_content" );
	}
	else
	{
		$html -> quickhtmlinit( "newform", "input_page_content", "" );
	}
	
	$html -> forminit( "extra_form_close", "extra_form_open" );
	$html -> forminit2( "attachment_form_close", "attachment_form_open" );
	$html -> tagcloudinit( "newform", "input_page_tags" );
	$html -> filesinit( "attachmentsearch" );
	$html -> makesubheader();
	$html -> makegroupmenu( "content" );
	
	if( $input_dofileedit )
	{
		$input_file = explode( "#", $input_dofileedit );
		$input_file = $security -> checknum( $input_file[ 1 ] );
	}
	else
	{
		$input_file = "";
	}
	
	if( $notice )
	{
		$html -> makeformheadera( $words_content[ 'NOTICE' ], "newpage", "newform" );
		echo $notice;
		echo "<br /><br /><h2>" . $words_content[ 'ADD_NEW_PAGE' ] . "</h2>";
	}
	elseif( $input_dopreview )
	{
		$input_page_parsed = $input_page_content;
		if ( $input_blockcode )
		{
			if ( $input_url_tag )
			{
				$input_page_parsed = preg_replace( "#(^|[\n ])([\w]+?://[^ \"\n\r\t<]*)#is", "\\1[url]\\2[/url]", $input_page_parsed );
			}
				
			if ( $input_url_get )
			{
				$input_page_parsed = $system -> geturltitles( $input_page_parsed );
			}
		}
		$input_page_parsed = eregi_replace( "\\[attachment=([^\\[]+)\\]([^\\[]*)\\[/attachment\\]", $words_content[ 'ATTACHMENT_HERE' ], $input_page_parsed );
		$input_page_parsed = eregi_replace( "\\[fullimage=([^\\[]+)\\]", $words_content[ 'ATTACHMENT_IMG_HERE' ], $input_page_parsed );
		$input_page_parsed = eregi_replace( "\\[thumb=([^\\[]+)\\]", $words_content[ 'ATTACHMENT_THUMB_HERE' ], $input_page_parsed );
		
		if( !$input_html )
		{
			$input_page_parsed = $system -> dechomp( $input_page_parsed );
		}
		
		if( $input_smilies )
		{
			$input_page_parsed = $system -> smilies( $input_page_parsed );
		}
		
		if( $input_blockcode )
		{
			$input_page_parsed = $system -> code( $input_page_parsed );
		}
		
		$html -> makeformheadera( $words_content[ 'PREVIEW' ], "newpage", "newform" );
		echo $system -> fixsmilies( $input_page_parsed );
		echo "<br /><br /><h2>" . $words_content[ 'ADD_NEW_PAGE' ] . "</h2>";
	}
	else
	{
		$html -> makeformheadera( $words_content[ 'ADD_NEW_PAGE' ], "newpage", "newform" );
		$input_url_tag = 1;
		$input_url_get = 1;
	}
	
	$websites = array();
	$query = $database -> dbquery( "SELECT preference_website, preference_value FROM " . DB_PREFIX . "esselbach_ct_preferences WHERE preference_key = 'WEBSITE_NAME'" );
	
	if( $database -> dbrows( $query ) )
	{
		echo "<strong>" . $words_content[ 'WEBSITE' ] . ":</strong> <select size=\"1\" name=\"input_website\">";
		echo "<option value=\"0\">" . $words_content[ 'ALL' ] . "</option>";
		
		while( list( $website_id, $website_name ) = $database -> dbrow( $query ) )
		{
			if( $website_id == $input_website )
			{
				echo "<option selected=\"selected\" value=\"" . $website_id . "\">" . $website_name . "</option>";
			}
			else
			{
				echo "<option value=\"" . $website_id . "\">" . $website_name . "</option>";
			}
			
			$websites[ $website_id ] = $website_name;
		}
		
		echo "</select> ";
	}
	
	$query = $database -> dbquery( "SELECT contentcat_id, contentcat_website, contentcat_name, contentcat_parentid FROM " . DB_PREFIX . "esselbach_ct_contentcats ORDER BY contentcat_position, contentcat_id" );
	
	if( $database -> dbrows( $query ) )
	{
		echo "<strong>" . $words_content[ 'CATEGORY' ] . ":</strong> <select size=\"1\" name=\"input_category\">";
		echo "<option value=\"0\">" . $words_content[ 'NONE' ] . "</option>";
		
		while( list( $contentcat_id, $contentcat_website, $contentcat_name, $contentcat_parentid ) = $database -> dbrow( $query ) )
		{
			if( $contentcat_parentid > 1 )
			{
				$contentcat_name = str_repeat( "-", $contentcat_parentid ) . " " . $contentcat_name;
			}
			
			
			if( isset( $websites[ $contentcat_website ] ) )
			{
				$contentcat_website = " (" . $websites[ $contentcat_website ] . ")";
			}
			else
			{
				$contentcat_website = "";
			}
			
			if( $contentcat_id == $input_category )
			{
				echo "<option selected=\"selected\" value=\"" . $contentcat_id . "\">" . $contentcat_name . $contentcat_website . "</option>";
			}
			else
			{
				echo "<option value=\"" . $contentcat_id . "\">" . $contentcat_name . $contentcat_website . "</option>";
			}
		}
		
		echo "</select> " . $words_content[ 'OR' ] . " ";
	}
	
	( $input_frontpage ) ? $checked = " checked=\"checked\"" : $checked = "";
	echo "<input type=\"checkbox\" name=\"input_frontpage\" value=\"1\"" . $checked . " /><strong>" . $words_content[ 'MAKE_THIS_FRONTPAGE' ] . "</strong><br />";
	$html -> uppertext( $words_content[ 'PAGE_TITLE' ], "input_page_title", $input_page_title );
	$html -> upperform( $words_content[ 'DESCRIPTION' ], "input_page_description", $input_page_description, 2 );
	$html -> upperform( $words_content[ 'KEYWORDS' ], "input_page_keywords", $input_page_keywords, 2 );
	$html -> uppertext( $words_content[ 'SEO_URL' ], "input_page_seo", $input_page_seo );
	
	if( !$preferences[ 'content_wysiwyg' ] )
	{
		$html -> quickhtml( "" );
	}
	
	$html -> upperform( $words_content[ 'CONTENT' ], "input_page_content", $input_page_content, 25 );
	
	if( $preferences[ 'content_wysiwyg' ] )
	{
		$wysiwyg -> controls();
	}
	else
	{
		if( ( $input_dopreview ) or( $notice ) )
		{
			$input_html_value = $input_html;
			$input_smilies_value = $input_smilies;
			$input_blockcode_value = $input_blockcode;
		}
		else
		{
			$input_html_value = 0;
			$input_smilies_value = 1;
			$input_blockcode_value = 1;
		}
		
		$html -> makeselect( $words_content[ 'USE_HTML' ], "input_html", $input_html_value, $words_content[ 'YES' ] . " " . $words_content[ 'NO' ] );
		$html -> makeselect( $words_content[ 'USE_SMILIES' ], "input_smilies", $input_smilies_value, $words_content[ 'YES' ] . " " . $words_content[ 'NO' ] );
		$html -> makeselect( $words_content[ 'USE_BLOCKCODE' ], "input_blockcode", $input_blockcode_value, $words_content[ 'YES' ] . " " . $words_content[ 'NO' ] );
		( $input_url_tag ) ? $checked = " checked=\"checked\"" : $checked = "" ;
		echo "<br /><input name=\"input_url_tag\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_content[ 'ADD_URL_TAG' ] . "</strong><br />";
		( $input_url_get ) ? $checked = " checked=\"checked\"" : $checked = "" ;
		echo "<input name=\"input_url_get\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_content[ 'GET_WEBSITE_TITLES' ] . "</strong><br /><br />";
	}
	
	$html -> upperform( $words_content[ 'TAGGED_AS' ], "input_page_tags", $input_page_tags, 2 );
	echo $words_content[ 'SEPARATE_TAGS_WITH_COMMAS' ];
	$query = $database -> dbquery( "SELECT contenttag_tag, contenttag_count FROM " . DB_PREFIX . "esselbach_ct_contenttags ORDER BY contenttag_tag" );
	
	if( $database -> dbrows( $query ) )
	{
		echo " " . $words_content[ 'OR_CHOOSE_TAGS_FROM_CLOUD' ] . "<br /><br />";
		
		while( list( $contenttag_tag, $contenttag_count ) = $database -> dbrow( $query ) )
		{
			$contenttag_size = $contenttag_count + 60;
			
			if( $contenttag_size > 300 )
			{
				$contenttag_size = 300;
			}
			
			echo "<font style=\"font-size: " . $contenttag_size . "%;\"><a href=\"javascript:inserttag('" . $contenttag_tag . ",')\">" . $contenttag_tag . "</a></font> ";
		}
	}
	
	( !$input_status ) ? $status_selected[ 0 ] = "selected=\"selected\"" : $status_selected[ 0 ] = "" ;
	( $input_status == 1 ) ? $status_selected[ 1 ] = "selected=\"selected\"" : $status_selected[ 1 ] = "" ;
	( $input_status == 2 ) ? $status_selected[ 2 ] = "selected=\"selected\"" : $status_selected[ 2 ] = "" ;
	( $input_status == 3 ) ? $status_selected[ 3 ] = "selected=\"selected\"" : $status_selected[ 3 ] = "" ;
	( $input_status == 4 ) ? $status_selected[ 4 ] = "selected=\"selected\"" : $status_selected[ 4 ] = "" ;
	( $input_status == 5 ) ? $status_selected[ 5 ] = "selected=\"selected\"" : $status_selected[ 5 ] = "" ;
	echo "<br /><br /><strong>" . $words_content[ 'STATUS' ] . ":</strong><br /><select size=\"6\" name=\"input_status\">";
	echo "<option " . $status_selected[ 0 ] . " value=\"0\">" . $words_content[ 'ZERO_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 1 ] . " value=\"1\">" . $words_content[ 'ONE_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 2 ] . " value=\"2\">" . $words_content[ 'TWO_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 3 ] . " value=\"3\">" . $words_content[ 'THREE_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 4 ] . " value=\"4\">" . $words_content[ 'FOUR_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 5 ] . " value=\"5\">" . $words_content[ 'FIVE_STATUS' ] . "</option>";
	echo "</select><br />";
	$html -> uppertext( $words_content[ 'PASSWORD' ], "input_password", $input_password );
	
	if( is_array( $input_form_name ) and $input_form_name[ 0 ] )
	{
		echo "<div id=\"extra_form_open\">";
	}
	else
	{
		echo "<div id=\"extra_form_close\"><br /><a href=\"#\" onclick=\"show_form(); return false;\">" . $words_content[ 'ATTACH_FORM' ] . "</a></div>";
		echo "<div id=\"extra_form_open\" style=\"display:none\">";
	}
	
	echo "<br /><h2>" . $words_content[ 'ATTACH_FORM' ] . "</h2>";
	$html -> uppertext( $words_content[ 'SEND_A_COPY_TO' ], "input_form_mail", $input_form_mail );
	echo $words_content[ 'LEAVE_BLANK' ] . "<br /><br />";
	
	for( $i = 0; $i < 24; $i++ )
	{
		if( is_array( $input_form_name ) )
		{
			$input_form_name_value = $input_form_name[ $i ];
			$input_form_status_value = $input_form_status[ $i ];
		}
		else
		{
			$input_form_name_value = "";
			$input_form_status_value = "";
		}
		
		echo $words_content[ 'FORM_FIELD' ] . " <input name=\"input_form_name[" . $i . "]\" size=\"32\" value=\"" . $input_form_name_value . "\" /> " . $words_content[ 'IS_A' ] . " ";
		echo "<select size=\"1\" name=\"input_form_status[" . $i . "]\">";
		( !$input_form_status_value ) ? $form_status_selected[ 0 ] = "selected=\"selected\"" : $form_status_selected[ 0 ] = "" ;
		( $input_form_status_value == 1 ) ? $form_status_selected[ 1 ] = "selected=\"selected\"" : $form_status_selected[ 1 ] = "" ;
		( $input_form_status_value == 2 ) ? $form_status_selected[ 2 ] = "selected=\"selected\"" : $form_status_selected[ 2 ] = "" ;
		( $input_form_status_value == 3 ) ? $form_status_selected[ 3 ] = "selected=\"selected\"" : $form_status_selected[ 3 ] = "" ;
		echo "<option " . $form_status_selected[ 0 ] . " value=\"0\">" . $words_content[ 'TEXT_FIELD' ] . "</option>";
		echo "<option " . $form_status_selected[ 1 ] . " value=\"1\">" . $words_content[ 'TEXT_AREA' ] . "</option>";
		echo "<option " . $form_status_selected[ 2 ] . " value=\"2\">" . $words_content[ 'DROP_DOWN_OPTION' ] . "</option>";
		echo "<option " . $form_status_selected[ 3 ] . " value=\"3\">" . $words_content[ 'CHECKBOX' ] . "</option>";
		echo "</select><br />";
	}
	
	echo $words_content[ 'DROP_DOWN_DESCRIPTION' ] . "</div><br />";
	echo "<input type=\"hidden\" name=\"aform\" value=\"doaddpage\" />";
	
	if( !$preferences[ 'content_wysiwyg' ] )
	{
		echo "<input type=\"submit\" name=\"input_dopreview\" value=\"" . $words_content[ 'PREVIEW' ] . "\" />";
		
		if( function_exists( "pspell_new" ) )
		{
			echo "<input type=\"submit\" name=\"input_dospellcheck\" value=\"" . $words_content[ 'SPELLING' ] . "\" />";
		}
	}
	
	echo "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"submit\" value=\"" . $words_content[ 'ADD_PAGE' ] . "\" />";
	echo "<br /><br /><h2>" . $words_content[ 'FILE_ATTACHMENTS' ] . "</h2>";
	$html -> tableheader( "", "" );
	$query = $database -> dbquery( "SELECT contentfile_id, contentfile_filename, contentfile_title, contentfile_description, contentfile_mime FROM " . DB_PREFIX . "esselbach_ct_contentfiles WHERE contentfile_author = '" . $login_username . "' AND contentfile_inuse = '0' ORDER BY contentfile_date DESC" );
	
	while( list( $contentfile_id, $contentfile_filename, $contentfile_title, $contentfile_description, $contentfile_mime ) = $database -> dbrow( $query ) )
	{
		if( $preferences[ 'content_wysiwyg' ] )
		{
			if( ( $contentfile_mime == "image/pjpeg" ) or( $contentfile_mime == "image/jpeg" ) or( $contentfile_mime == "image/gif" ) or( $contentfile_mime == "image/png" ) )
			{
				if( function_exists( "imagecopyresized" ) )
				{
					$mid_link = "<a href=\"javascript:wysiwyginsert('input_page_content','[thumb=" . $contentfile_id . "]')\"><img src=\"index.php?action=attachmentpreview&amp;input_fileid=" . $contentfile_id . "\" title=\"" . htmlspecialchars( $contentfile_description ) . "\" alt=\"" . htmlspecialchars( $contentfile_filename ) . "\" /></a><br />";
				}
				else
				{
					$mid_link = "<a href=\"javascript:wysiwyginsert('input_page_content','[thumb=" . $contentfile_id . "]')\">" . htmlspecialchars( $contentfile_filename ) . "</a><br />";
				}
				
				$mid_link .= "[ <a href=\"javascript:wysiwyginsert('input_page_content','[fullimage=" . $contentfile_id . "]')\">" . $words_content[ 'ADD_AS_FULL_IMAGE' ] . "</a> | <a href=\"javascript:wysiwyginsert('input_page_content','[thumb=" . $contentfile_id . "]')\">" . $words_content[ 'ADD_AS_THUMBNAIL' ] . "</a> ]<br />";
			}
			else
			{
				$mid_link = "[ <a href=\"javascript:wysiwyginsert('input_page_content','[attachment=" . $contentfile_id . "]Download " . htmlspecialchars( $contentfile_filename ) . "[/attachment]')\">" . $words_content[ 'ADD_DOWNLOAD' ] . "</a> ]<br />";
			}
		}
		else
		{
			if( ( $contentfile_mime == "image/pjpeg" ) or( $contentfile_mime == "image/jpeg" ) or( $contentfile_mime == "image/gif" ) or( $contentfile_mime == "image/png" ) )
			{
				if( function_exists( "imagecopyresized" ) )
				{
					$mid_link = "<a href=\"javascript:insert('[thumb=" . $contentfile_id . "]')\"><img src=\"index.php?action=attachmentpreview&amp;input_fileid=" . $contentfile_id . "\" title=\"" . htmlspecialchars( $contentfile_description ) . "\" alt=\"" . htmlspecialchars( $contentfile_filename ) . "\" /></a><br />";
				}
				else
				{
					$mid_link = "<a href=\"javascript:insert('[thumb=" . $contentfile_id . "]')\">" . htmlspecialchars( $contentfile_filename ) . "</a><br />";
				}
				
				$mid_link .= "[ <a href=\"javascript:insert('[fullimage=" . $contentfile_id . "]')\">" . $words_content[ 'ADD_AS_FULL_IMAGE' ] . "</a> | <a href=\"javascript:insert('[thumb=" . $contentfile_id . "]')\">" . $words_content[ 'ADD_AS_THUMBNAIL' ] . "</a> ]<br />";
			}
			else
			{
				$mid_link = "[ <a href=\"javascript:insert('[attachment=" . $contentfile_id . "]Download " . htmlspecialchars( $contentfile_filename ) . "[/attachment]')\">" . $words_content[ 'ADD_DOWNLOAD' ] . "</a> ]<br />";
			}
		}
		
		if( $input_file == $contentfile_id )
		{
			$mid_link .= "<textarea cols=\"80\" name=\"input_edittitle\" rows=\"1\" style=\"margin:0px;width:600px\">" . $contentfile_title . "</textarea><br />";
			$mid_link .= "<textarea cols=\"80\" name=\"input_editdescription\" rows=\"2\" style=\"margin:0px;width:600px\">" . $contentfile_description . "</textarea><br />";
			$mid_link .= "<input type=\"hidden\" name=\"input_editid\" value=\"" . $contentfile_id . "\" /><input type=\"submit\" name=\"input_doeditfile\" value=\"" . $words_content[ 'GO' ] . "\" /><br />";
		}
		else
		{
			$mid_link .= "<strong>" . htmlspecialchars( $contentfile_title ) . "</strong><br />" . htmlspecialchars( $contentfile_description );
		}
		
		if( $input_file != $contentfile_id )
		{
			$html -> tableamiddle( "$contentfile_filename", "$mid_link", "input_dofileedit", $words_content[ 'EDIT_FILE' ] . $contentfile_id, "input_dofileremove", $words_content[ 'REMOVE_FILE' ] . $contentfile_id );
		}
		else
		{
			$html -> tableamiddle( "$contentfile_filename", "$mid_link", "input_dofileedit", 0, 0, 0, 0 );
		}
	}
	
	$html -> maketablefooter();
	echo "<a href=\"javascript:files_win()\">" . $words_content[ 'SEARCH_FILE_ATTACHMENTS' ] . "</a><br /><br />";
	
	for( $a = 0; $a < 6; $a++ )
	{
		if( !isset( $input_file_title[ $a ] ) )
		{
			$input_file_title[ $a ] = "";
		}
		
		if( !isset( $input_file_description[ $a ] ) )
		{
			$input_file_description[ $a ] = "";
		}
	}
	
	echo "<strong>" . $words_content[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[0]\" /><br />";
	$html -> upperform( $words_content[ 'TITLE' ], "input_file_title[0]", $input_file_title[ 0 ], 1 );
	$html -> upperform( $words_content[ 'DESCRIPTION' ], "input_file_description[0]", $input_file_description[ 0 ], 2 );
	echo "<div id=\"attachment_form_close\"><br /><a href=\"#\" onclick=\"show_form2(); return false;\">" . $words_content[ 'ATTACH_MULTIPLE_FILES' ] . "</a><br /><br /></div>";
	echo "<div id=\"attachment_form_open\" style=\"display:none\">";
	echo "<strong>" . $words_content[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[1]\" /><br />";
	$html -> upperform( $words_content[ 'TITLE' ], "input_file_title[1]", $input_file_title[ 1 ], 1 );
	$html -> upperform( $words_content[ 'DESCRIPTION' ], "input_file_description[1]", $input_file_description[ 1 ], 2 );
	echo "<br /><strong>" . $words_content[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[2]\" /><br />";
	$html -> upperform( $words_content[ 'TITLE' ], "input_file_title[2]", $input_file_title[ 2 ], 1 );
	$html -> upperform( $words_content[ 'DESCRIPTION' ], "input_file_description[2]", $input_file_description[ 2 ], 2 );
	echo "<br /><strong>" . $words_content[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[3]\" /><br />";
	$html -> upperform( $words_content[ 'TITLE' ], "input_file_title[3]", $input_file_title[ 3 ], 1 );
	$html -> upperform( $words_content[ 'DESCRIPTION' ], "input_file_description[3]", $input_file_description[ 3 ], 2 );
	echo "<br /><strong>" . $words_content[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[4]\" /><br />";
	$html -> upperform( $words_content[ 'TITLE' ], "input_file_title[4]", $input_file_title[ 4 ], 1 );
	$html -> upperform( $words_content[ 'DESCRIPTION' ], "input_file_description[4]", $input_file_description[ 4 ], 2 );
	echo "</div>";
	echo "<input type=\"submit\" name=\"input_doupload\" value=\"" . $words_content[ 'UPLOAD' ] . "\" />";
	$html -> makeformfooter();
}
?>