<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.1                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2009 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529     Patch: 15                                                 |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Content
 * @copyright (C) 2002-2009 Esselbach Internet Solutions
 */

/**
 * function ContentPages
 * A function to show content pages
 * @author Philipp Louis Esselbach
 */
function ContentPages( $page )
{
	global $database, $templates, $system, $preferences, $security, $user, $ipaddr;
	$templates -> initgzip();
	$main_templates = $templates -> preparetemplates( "'site_header','site_footer','site_block','site_login_anon','site_login_user','site_invalid_form','content_header','content_page_header','content_page','content_page_footer','content_page_password','content_page_editlink','content_category_nav','content_page_error_na','content_page_error_noreg','content_page_error_noadmin','content_page_error_password','content_page_tags','content_page_tags_list','content_page_form_header','content_page_form_textfield','content_page_form_textarea','content_page_form_dropdown','content_page_form_checkbox','content_page_form_footer','content_page_form_done','content_page_email_feedbacksubject','content_page_email_feedbackbody','content_footer','content_layout_page'", $preferences[ 'current_theme' ] );
	$page_query = $system -> getpage( $page );
	$insert = $system -> getinsert( $preferences, $main_templates );
	
	if( !isset( $_POST[ 'input_security_hash' ] ) )
	{
		session_start();
		$insert[ 'content_security_hash' ] = $system -> dorand();
		$_SESSION[ 'content_security_hash' ] = $insert[ 'content_security_hash' ];
	}
	else
	{
		$insert[ 'content_security_hash' ] = $_POST[ 'input_security_hash' ];
	}
	
	$insert[ 'page_name' ] = htmlspecialchars( $preferences[ 'website_name' ] );
	$insert[ 'page_description' ] = htmlspecialchars( $preferences[ 'website_description' ] );
	$insert[ 'page_keywords' ] = htmlspecialchars( $preferences[ 'website_keywords' ] );
	
	if( $user[ 'user_status' ] == 1 )
	{
		$content_status = "(content_status = '0' OR content_status = '1' OR content_status = '3' OR content_status = '5')";
	}
	elseif( $user[ 'user_status' ] == 2 or $user[ 'user_status' ] == 3 )
	{
		$content_status = "(content_status = '0' OR content_status = '1' OR content_status = '2' OR content_status = '3' OR content_status = '4' OR content_status = '5')";
	}
	elseif( $user[ 'user_status' ] == 6 )
	{
		$content_status = "(content_status = '0' OR content_status = '1' OR content_status = '3' OR content_status = '4' OR content_status = '5')";
	}
	else
	{
		$content_status = "(content_status = '0' OR content_status = '3' OR content_status = '5')";
	}
	
	
	if( $preferences[ 'content_navigation' ] )
	{
		if( $page_query )
		{
			$query = $database -> dbquery( "SELECT content_id, content_seo, content_title, content_description, content_keywords, content_text, content_tags, content_html, content_smilies, content_code, content_status, content_password, content_form, content_date, content_author, content_category FROM " . DB_PREFIX . "esselbach_ct_content WHERE content_seo = '" . $page_query . "' AND " . $content_status . " AND (content_website = '0' OR content_website = '" . $preferences[ 'current_website' ] . "')" );
		}
		else
		{
			$query = $database -> dbquery( "SELECT content_id, content_seo, content_title, content_description, content_keywords, content_text, content_tags, content_html, content_smilies, content_code, content_status, content_password, content_form, content_date, content_author, content_category FROM " . DB_PREFIX . "esselbach_ct_content WHERE content_frontpage = '1' AND " . $content_status . " AND (content_website = '0' OR content_website = '" . $preferences[ 'current_website' ] . "') ORDER BY content_date DESC LIMIT 1" );
		}
		
		list( $insert[ 'content_id' ], $insert[ 'content_seo' ], $insert[ 'content_title' ], $insert[ 'content_description' ], $insert[ 'content_keywords' ], $insert[ 'content_text' ], $insert[ 'content_tags' ], $insert[ 'content_html' ], $insert[ 'content_smilies' ], $insert[ 'content_code' ], $insert[ 'content_status' ], $insert[ 'content_password' ], $insert[ 'content_form' ], $insert[ 'content_date' ], $insert[ 'content_author' ], $insert[ 'content_category' ] ) = $database -> dbrow( $query );
		$insert[ 'contentcat_nav' ] = "";
		$insert[ 'contentcat_index' ] = 1;
		
		if( $insert[ 'content_category' ] )
		{
			$query = $database -> dbquery( "SELECT contentcat_parents FROM " . DB_PREFIX . "esselbach_ct_contentcats WHERE contentcat_id = '" . $insert[ 'content_category' ] . "'" );
			list( $insert[ 'contentcat_parents' ] ) = $database -> dbrow( $query );
			$query = $database -> dbquery( "SELECT contentcat_id, contentcat_seo, contentcat_name, contentcat_description FROM " . DB_PREFIX . "esselbach_ct_contentcats WHERE contentcat_id IN (" . $insert[ 'contentcat_parents' ] . "," . $insert[ 'content_category' ] . ") ORDER BY contentcat_position, contentcat_parentcat, contentcat_id" );
			
			while( list( $insert[ 'contentcat_id' ], $insert[ 'contentcat_seo' ], $insert[ 'contentcat_name' ], $insert[ 'contentcat_description' ] ) = $database -> dbrow( $query ) )
			{
				$insert[ 'contentcat_nav' ] .= $templates -> exectemplate( $main_templates[ 'content_category_nav_html' ], $main_templates[ 'content_category_nav_php' ], $insert );
			}
		}
	}
	else
	{
		$insert[ 'contentcat_index' ] = 0;
		
		if( $page_query )
		{
			$query = $database -> dbquery( "SELECT content_id, content_seo, content_title, content_description, content_keywords, content_text, content_tags, content_html, content_smilies, content_code, content_status, content_password, content_form, content_date, content_author FROM " . DB_PREFIX . "esselbach_ct_content WHERE content_seo = '" . $page_query . "' AND " . $content_status . " AND (content_website = '0' OR content_website = '" . $preferences[ 'current_website' ] . "') ORDER BY content_position" );
			list( $insert[ 'content_id' ], $insert[ 'content_seo' ], $insert[ 'content_title' ], $insert[ 'content_description' ], $insert[ 'content_keywords' ], $insert[ 'content_text' ], $insert[ 'content_tags' ], $insert[ 'content_html' ], $insert[ 'content_smilies' ], $insert[ 'content_code' ], $insert[ 'content_status' ], $insert[ 'content_password' ], $insert[ 'content_form' ], $insert[ 'content_date' ], $insert[ 'content_author' ] ) = $database -> dbrow( $query );
		}
		else
		{
			$query = $database -> dbquery( "SELECT content_id, content_seo, content_title, content_description, content_keywords, content_text, content_tags, content_html, content_smilies, content_code, content_status, content_password, content_form, content_date, content_author FROM " . DB_PREFIX . "esselbach_ct_content WHERE content_frontpage = '1' AND " . $content_status . " AND (content_website = '0' OR content_website = '" . $preferences[ 'current_website' ] . "') ORDER BY content_date DESC LIMIT 1" );
			list( $insert[ 'content_id' ], $insert[ 'content_seo' ], $insert[ 'content_title' ], $insert[ 'content_description' ], $insert[ 'content_keywords' ], $insert[ 'content_text' ], $insert[ 'content_tags' ], $insert[ 'content_html' ], $insert[ 'content_smilies' ], $insert[ 'content_code' ], $insert[ 'content_status' ], $insert[ 'content_password' ], $insert[ 'content_form' ], $insert[ 'content_date' ], $insert[ 'content_author' ] ) = $database -> dbrow( $query );
		}
	}
	
	if( $user[ 'user_status' ] == 2 )
	{
		$insert[ 'content_edit' ] = $templates -> exectemplate( $main_templates[ 'content_page_editlink_html' ], $main_templates[ 'content_page_editlink_php' ], $insert );
	}
	elseif( $user[ 'user_status' ] == 3 )
	{
		if( $insert[ 'content_author' ] == $user[ 'user_name' ] )
		{
			$insert[ 'content_edit' ] = $templates -> exectemplate( $main_templates[ 'content_page_editlink_html' ], $main_templates[ 'content_page_editlink_php' ], $insert );
		}
	}
	else
	{
		$insert[ 'content_edit' ] = "";
	}
	
	if( $insert[ 'content_tags' ] )
	{
		$tags = explode( ",", $insert[ 'content_tags' ] );
		$tags_array = array();
		
		foreach( $tags as $insert[ 'content_tag' ] )
		{
			$insert[ 'content_tag_seo' ] = $system -> doseo( $insert[ 'content_tag' ] );
			$tags_array[ ] = $templates -> exectemplate( $main_templates[ 'content_page_tags_list_html' ], $main_templates[ 'content_page_tags_list_php' ], $insert );
		}
		
		$insert[ 'content_tags_list' ] = implode( ",", $tags_array );
		$insert[ 'content_tags' ] = $templates -> exectemplate( $main_templates[ 'content_page_tags_html' ], $main_templates[ 'content_page_tags_php' ], $insert );
	}
	
	if( ( isset( $insert[ 'content_text' ] ) ) && ( isset( $insert[ 'content_title' ] ) ) )
	{
		$content_notice = "";
		
		if( $insert[ 'content_status' ] == 1 )
		{
			if( ( !$user[ 'user_username' ] ) && ( !$user[ 'user_session' ] ) )
			{
				$content_notice = $templates -> exectemplate( $main_templates[ 'content_page_error_noreg_html' ], $main_templates[ 'content_page_error_noreg_php' ], $insert );
			}
		}
		elseif( $insert[ 'content_status' ] == 2 )
		{
			if( $user[ 'user_status' ] == 1 or $user[ 'user_status' ] == 4 or $user[ 'user_status' ] == 5 or $user[ 'user_status' ] == 6 or !$user[ 'user_status' ] )
			{
				$content_notice = $templates -> exectemplate( $main_templates[ 'content_page_error_noadmin_html' ], $main_templates[ 'content_page_error_noadmin_php' ], $insert );
			}
		}
		elseif( $insert[ 'content_status' ] == 3 )
		{
			$content_password = ( isset( $_POST[ 'content_password' ] ) ) ? $security -> checkvare( $_POST[ 'content_password' ] ) : "" ;
			$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;
			
			if( !$content_password )
			{
				$content_notice = $templates -> exectemplate( $main_templates[ 'content_page_password_html' ], $main_templates[ 'content_page_password_php' ], $insert );
			}
			elseif( $content_password != $insert[ 'content_password' ] )
			{
				$content_notice = $templates -> exectemplate( $main_templates[ 'content_page_error_password_html' ], $main_templates[ 'content_page_error_password_php' ], $insert );
			}
			else
			{
				session_start();
				
				if( ( $_SESSION[ 'content_security_hash' ] != $input_security_hash ) and( $preferences[ 'website_subsessions_user' ] ) )
				{
					echo $templates -> exectemplate( $main_templates[ 'site_header_html' ], $main_templates[ 'site_header_php' ], $insert );
					echo $templates -> exectemplate( $main_templates[ 'site_invalid_form_html' ], $main_templates[ 'site_invalid_form_php' ], $insert );
					echo $templates -> exectemplate( $main_templates[ 'site_footer_html' ], $main_templates[ 'site_footer_php' ], $insert );
					exit;
				}
			}
		}
		
		$content_data = "";
		
		if( $insert[ 'content_form' ] )
		{
			$input_form_encoded = explode( "|^X|", $insert[ 'content_form' ] );
			( isset( $input_form_encoded[ 24 ] ) ) ? $form_email = $input_form_encoded[ 24 ] : $form_email = "" ;
			$insert[ 'content_form' ] = $templates -> exectemplate( $main_templates[ 'content_page_form_header_html' ], $main_templates[ 'content_page_form_header_php' ], $insert );
			
			for( $i = 0; $i < 24; $i++ )
			{
				( isset( $input_form_encoded[ $i ] ) ) ? $row = $input_form_encoded[ $i ] : $row = "" ;
				$input_form_data = explode( "|^Z|", $row );
				$input_content_data = ( isset( $_POST[ 'input_content_data_' . $i ] ) ) ? $security -> checkvare( $_POST[ 'input_content_data_' . $i ] ) : "" ;
				
				if( $input_content_data )
				{
					if( $input_form_data[ 0 ] == 2 )
					{
						$content_array = explode( ",", base64_decode( $input_form_data[ 1 ] ) );
						$content_data .= $content_array[ 0 ] . ": " . $input_content_data . "\n\n";
					}
					else
					{
						$content_data .= base64_decode( $input_form_data[ 1 ] ) . ": " . $input_content_data . "\n\n";
					}
				}
				
				if( $input_form_data[ 1 ] )
				{
					$insert[ 'content_form_id' ] = "input_content_data_" . $i;
					$insert[ 'content_form_type' ] = $input_form_data[ 0 ];
					$insert[ 'content_form_option' ] = base64_decode( $input_form_data[ 1 ] );
					
					if( !$insert[ 'content_form_type' ] )
					{
						$insert[ 'content_form' ] .= $templates -> exectemplate( $main_templates[ 'content_page_form_textfield_html' ], $main_templates[ 'content_page_form_textfield_php' ], $insert );
					}
					
					if( $insert[ 'content_form_type' ] == 1 )
					{
						$insert[ 'content_form' ] .= $templates -> exectemplate( $main_templates[ 'content_page_form_textarea_html' ], $main_templates[ 'content_page_form_textarea_php' ], $insert );
					}
					
					if( $insert[ 'content_form_type' ] == 2 )
					{
						$dropdown_array = explode( ",", $insert[ 'content_form_option' ] );
						$insert[ 'dropdown_formname' ] = $dropdown_array[ 0 ];
						$insert[ 'dropdown_menu' ] = "";
						
						for( $z = 1; $z < count( $dropdown_array ); $z++ )
						{
							$insert[ 'dropdown_menu' ] .= "<option value=\"" . $dropdown_array[ $z ] . "\">" . $dropdown_array[ $z ] . "</option>";
						}
						
						$insert[ 'content_form' ] .= $templates -> exectemplate( $main_templates[ 'content_page_form_dropdown_html' ], $main_templates[ 'content_page_form_dropdown_php' ], $insert );
					}
					
					if( $insert[ 'content_form_type' ] == 3 )
					{
						$insert[ 'content_form' ] .= $templates -> exectemplate( $main_templates[ 'content_page_form_checkbox_html' ], $main_templates[ 'content_page_form_checkbox_php' ], $insert );
					}
				}
			}
			
			$insert[ 'content_form' ] .= $templates -> exectemplate( $main_templates[ 'content_page_form_footer_html' ], $main_templates[ 'content_page_form_footer_php' ], $insert );
		}
		
		if( $content_data )
		{
			$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;
			session_start();
			
			if( $_SESSION[ 'content_security_hash' ] != $input_security_hash )
			{
				echo $templates -> exectemplate( $main_templates[ 'site_header_html' ], $main_templates[ 'site_header_php' ], $insert );
				echo $templates -> exectemplate( $main_templates[ 'site_invalid_form_html' ], $main_templates[ 'site_invalid_form_php' ], $insert );
				echo $templates -> exectemplate( $main_templates[ 'site_footer_html' ], $main_templates[ 'site_footer_php' ], $insert );
				exit;
			}
			
			$content_notice = $templates -> exectemplate( $main_templates[ 'content_page_form_done_html' ], $main_templates[ 'content_page_form_done_php' ], $insert );
			$content_id = $database -> dbescape( $insert[ 'content_id' ] );
			$content_title = $database -> dbescape( $insert[ 'content_title' ] );
			$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_contentform (contentform_id, contentform_page, contentform_title, contentform_data, contentform_date, contentform_ip) VALUES (NULL, '" . $content_id . "', '" . $content_title . "', '" . $content_data . "', now(), '" . $ipaddr . "')" );
			
			if( $form_email )
			{
				$insert[ 'feedback_title' ] = stripslashes( $content_title );
				$insert[ 'feedback_ipaddr' ] = $ipaddr;
				$insert[ 'feedback_data' ] = stripslashes( $content_data );
				$email_subject = $templates -> exectemplate( $main_templates[ 'content_page_email_feedbacksubject_html' ], $main_templates[ 'content_page_email_feedbacksubject_php' ], $insert );
				$email_body = $templates -> exectemplate( $main_templates[ 'content_page_email_feedbackbody_html' ], $main_templates[ 'content_page_email_feedbackbody_php' ], $insert );
				$email_header = $system -> mailheader( $preferences[ 'user_registration_adminname' ], $preferences[ 'user_registration_adminemail' ], $insert[ 'activation_username' ], $form_email );
				
				if( $preferences[ 'user_registration_emailserver' ] == "SMTP" )
				{
					$system -> smtpmail( $preferences[ 'user_registration_smtphost' ], $preferences[ 'user_registration_smtpport' ], $preferences[ 'user_registration_smtpusername' ], $preferences[ 'user_registration_smtppassword' ], $preferences[ 'user_registration_adminemail' ], $form_email, $email_subject, $email_body, $email_header );
				}
				else
				{
					mail( $form_email, $email_subject, $email_body, $email_header );
				}
			}
		}
		
		if( !$content_notice )
		{
			( isset( $insert[ 'content_title' ] ) ) ? $insert[ 'page_name' ] = $insert[ 'content_title' ] : $insert[ 'page_name' ] = $preferences[ 'website_name' ] ;
			( isset( $insert[ 'content_description' ] ) ) ? $insert[ 'page_description' ] = $insert[ 'content_description' ] : $insert[ 'page_description' ] = $preferences[ 'website_description' ] ;
			( isset( $insert[ 'content_keywords' ] ) ) ? $insert[ 'page_keywords' ] = $insert[ 'content_keywords' ] : $insert[ 'page_keywords' ] = $preferences[ 'website_keywords' ] ;
		}
		else
		{
			$insert[ 'page_name' ] = $preferences[ 'website_name' ];
			$insert[ 'page_description' ] = $preferences[ 'website_description' ];
			$insert[ 'page_keywords' ] = $preferences[ 'website_keywords' ];
		}
		
		echo $templates -> exectemplate( $main_templates[ 'site_header_html' ], $main_templates[ 'site_header_php' ], $insert );
		
		if( $insert[ 'contentcat_index' ] )
		{
			$insert[ 'content_page_header' ] = $templates -> exectemplate( $main_templates[ 'content_page_header_html' ], $main_templates[ 'content_page_header_php' ], $insert );
		}
		else
		{
			$insert[ 'content_page_header' ] = "";
		}
		
		if( !$content_notice )
		{
			$insert[ 'content_page' ] = $templates -> exectemplate( $main_templates[ 'content_page_html' ], $main_templates[ 'content_page_php' ], $insert );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_content SET content_views = content_views + 1, content_activity = now() WHERE content_id = '$insert[content_id]'" );
		}
		else
		{
			$insert[ 'content_page' ] = $content_notice;
		}
		
		
		if( $insert[ 'contentcat_index' ] )
		{
			$insert[ 'content_page_footer' ] = $templates -> exectemplate( $main_templates[ 'content_page_footer_html' ], $main_templates[ 'content_page_footer_php' ], $insert );
		}
	}
	else
	{
		echo $templates -> exectemplate( $main_templates[ 'site_header_html' ], $main_templates[ 'site_header_php' ], $insert );
		
		if( $insert[ 'contentcat_index' ] )
		{
			$insert[ 'content_page_header' ] = $templates -> exectemplate( $main_templates[ 'content_header_html' ], $main_templates[ 'content_header_php' ], $insert );
		}
		else
		{
			$insert[ 'content_page_header' ] = "";
		}
		
		$insert[ 'content_page' ] = $templates -> exectemplate( $main_templates[ 'content_page_error_na_html' ], $main_templates[ 'content_page_error_na_php' ], $insert );
		
		if( $insert[ 'contentcat_index' ] )
		{
			$insert[ 'content_page_footer' ] = $templates -> exectemplate( $main_templates[ 'content_footer_html' ], $main_templates[ 'content_footer_php' ], $insert );
		}
		else
		{
			$insert[ 'content_page_footer' ] = "";
		}
	}
	
	echo $templates -> exectemplate( $main_templates[ 'content_layout_page_html' ], $main_templates[ 'content_layout_page_php' ], $insert );
	echo $templates -> exectemplate( $main_templates[ 'site_footer_html' ], $main_templates[ 'site_footer_php' ], $insert );
}
?>