<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.1                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2009 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529     Patch: 15                                                 |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Content
 * @copyright (C) 2002-2009 Esselbach Internet Solutions
 */

/**
 * function ContentImage
 * A function to show content image gallery
 * @author Philipp Louis Esselbach
 */
function ContentImage( $page )
{
	global $database, $templates, $system, $preferences, $user;
	$main_templates = $templates -> preparetemplates( "'site_header','site_footer','site_block','site_login_anon','site_login_user','content_page_gallery_header','content_page_gallery_image','content_page_gallery_footer','content_category_nav','content_page_gallery_nav','content_page_gallery_nav_next','content_page_gallery_nav_previous','content_layout_gallery'", $preferences[ 'current_theme' ] );
	$id = $system -> getpage( $page );
	$insert = $system -> getinsert( $preferences, $main_templates );
	
	if( $user[ 'user_status' ] == 1 )
	{
		$content_status = "(t2.content_status = '0' OR t2.content_status = '1' OR t2.content_status = '3' OR t2.content_status = '5')";
	}
	elseif( $user[ 'user_status' ] == 2 or $user[ 'user_status' ] == 3 )
	{
		$content_status = "(t2.content_status = '0' OR t2.content_status = '1' OR t2.content_status = '2' OR t2.content_status = '3' OR t2.content_status = '4' OR t2.content_status = '5')";
	}
	elseif( $user[ 'user_status' ] == 6 )
	{
		$content_status = "(t2.content_status = '0' OR t2.content_status = '1' OR t2.content_status = '3' OR t2.content_status = '4' OR t2.content_status = '5')";
	}
	else
	{
		$content_status = "(t2.content_status = '0' OR t2.content_status = '3' OR t2.content_status = '5')";
	}
	
	$query = $database -> dbquery( "SELECT t1.contentfile_mime, t1.contentfile_filename, t1.contentfile_title, t1.contentfile_description, t1.contentfile_id, t1.contentfile_page, t2.content_category, t2.content_title, t2.content_description, t2.content_keywords, t2.content_seo FROM " . DB_PREFIX . "esselbach_ct_contentfiles t1, " . DB_PREFIX . "esselbach_ct_content t2 WHERE " . $content_status . " AND t2.content_id = t1.contentfile_page AND t1.contentfile_id = '" . $id . "' AND t1.contentfile_inuse = '1'" );
	$images = $database -> dbrows( $query );
	
	if( $images )
	{
		list( $insert[ 'contentfile_mine' ], $insert[ 'contentfile_filename' ], $insert[ 'contentfile_title' ], $insert[ 'contentfile_description' ], $insert[ 'contentfile_id' ], $insert[ 'contentfile_page' ], $insert[ 'content_category' ], $insert[ 'content_title' ], $insert[ 'content_description' ], $insert[ 'content_keywords' ], $insert[ 'content_seo' ] ) = $database -> dbrow( $query );
		$insert[ 'contentcat_nav' ] = "";
		
		if( $insert[ 'content_category' ] )
		{
			$query = $database -> dbquery( "SELECT contentcat_parents FROM " . DB_PREFIX . "esselbach_ct_contentcats WHERE contentcat_id = '" . $insert[ 'content_category' ] . "'" );
			list( $parents ) = $database -> dbrow( $query );
			$query = $database -> dbquery( "SELECT contentcat_id, contentcat_name, contentcat_description FROM " . DB_PREFIX . "esselbach_ct_contentcats WHERE contentcat_id IN (" . $parents . "," . $insert[ 'content_category' ] . ") ORDER BY contentcat_id" );
			
			while( list( $insert[ 'contentcat_id' ], $insert[ 'contentcat_name' ], $insert[ 'contentcat_description' ] ) = $database -> dbrow( $query ) )
			{
				$insert[ 'contentcat_nav' ] .= $templates -> exectemplate( $main_templates[ 'content_category_nav_html' ], $main_templates[ 'content_category_nav_php' ], $insert );
			}
		}
	}
	
	( $insert[ 'content_title' ] ) ? $insert[ 'page_name' ] = htmlspecialchars( $insert[ 'content_title' ] . " - " . $insert[ 'contentfile_title' ] ) : $insert[ 'page_name' ] = htmlspecialchars( $preferences[ 'website_name' ] ) ;
	( $insert[ 'content_description' ] ) ? $insert[ 'page_description' ] = htmlspecialchars( $insert[ 'content_description' ] ) : $insert[ 'page_description' ] = htmlspecialchars( $preferences[ 'website_description' ] ) ;
	( $insert[ 'content_keywords' ] ) ? $insert[ 'page_keywords' ] = htmlspecialchars( $insert[ 'content_keywords' ] ) : $insert[ 'page_keywords' ] = htmlspecialchars( $preferences[ 'website_keywords' ] ) ;
	echo $templates -> exectemplate( $main_templates[ 'site_header_html' ], $main_templates[ 'site_header_php' ], $insert );
	
	if( $images )
	{
		if( $preferences[ 'content_navigation' ] )
		{
			$insert[ 'content_page_gallery_header' ] = $templates -> exectemplate( $main_templates[ 'content_page_gallery_header_html' ], $main_templates[ 'content_page_gallery_header_php' ], $insert );
		}
		else
		{
			$insert[ 'content_page_gallery_header' ] = "";
		}
		
		$insert[ 'content_page_gallery_image' ] = $templates -> exectemplate( $main_templates[ 'content_page_gallery_image_html' ], $main_templates[ 'content_page_gallery_image_php' ], $insert );
		
		if( $preferences[ 'content_gallery_navigation' ] )
		{
			$query = $database -> dbquery( "SELECT contentfile_title, contentfile_id FROM " . DB_PREFIX . "esselbach_ct_contentfiles WHERE contentfile_id < '" . $id . "' AND (contentfile_mime LIKE 'image%') AND contentfile_page = '" . intval( $id ) . "' ORDER BY contentfile_id DESC LIMIT 1" );
			
			if( $database -> dbrows( $query ) )
			{
				list( $previous_title, $previous_id ) = $database -> dbrow( $query );
				$insert[ 'contentimage_nav_id' ] = $previous_id;
				$insert[ 'contentimage_nav_title' ] = htmlspecialchars( $previous_title );
				$insert[ 'content_previous_image' ] = $templates -> exectemplate( $main_templates[ 'content_page_gallery_nav_previous_html' ], $main_templates[ 'content_page_gallery_nav_previous_php' ], $insert );
			}
			else
			{
				$insert[ 'content_previous_image' ] = "";
			}
			
			$query = $database -> dbquery( "SELECT contentfile_title, contentfile_id FROM " . DB_PREFIX . "esselbach_ct_contentfiles WHERE contentfile_id > '" . $id . "' AND (contentfile_mime LIKE 'image%') AND contentfile_page = '" . intval( $id ) . "' ORDER BY contentfile_id LIMIT 1" );
			
			if( $database -> dbrows( $query ) )
			{
				list( $next_title, $next_id ) = $database -> dbrow( $query );
				$insert[ 'contentimage_nav_id' ] = $next_id;
				$insert[ 'contentimage_nav_title' ] = htmlspecialchars( $next_title );
				$insert[ 'contentimage_next_image' ] = $templates -> exectemplate( $main_templates[ 'content_page_gallery_nav_next_html' ], $main_templates[ 'content_page_gallery_nav_next_php' ], $insert );
			}
			else
			{
				$insert[ 'content_next_image' ] = "";
			}
			
			$insert[ 'content_current_image' ] = htmlspecialchars( $insert[ 'contentfile_title' ] );
			$insert[ 'content_page_gallery_nav' ] = $templates -> exectemplate( $main_templates[ 'content_page_gallery_nav_html' ], $main_templates[ 'content_page_gallery_nav_php' ], $insert );
		}
		else
		{
			$insert[ 'content_page_gallery_nav' ] = "";
		}
		
		if( $preferences[ 'content_navigation' ] )
		{
			$insert[ 'content_page_gallery_footer' ] = $templates -> exectemplate( $main_templates[ 'content_page_gallery_footer_html' ], $main_templates[ 'content_page_gallery_footer_php' ], $insert );
		}
	}
	else
	{
		if( $preferences[ 'content_navigation' ] )
		{
			$insert[ 'content_page_gallery_header' ] = $templates -> exectemplate( $main_templates[ 'content_page_gallery_header_html' ], $main_templates[ 'content_page_gallery_header_php' ], $insert );
		}
		else
		{
			$insert[ 'content_page_gallery_header' ] = "";
		}
		
		$insert[ 'content_page_gallery_image' ] = $templates -> exectemplate( $main_templates[ 'content_page_error_noimage_html' ], $main_templates[ 'content_page_error_noimage_php' ], $insert );
		
		if( $preferences[ 'content_navigation' ] )
		{
			$insert[ 'content_page_gallery_footer' ] = $templates -> exectemplate( $main_templates[ 'content_page_gallery_footer_html' ], $main_templates[ 'content_page_gallery_footer_php' ], $insert );
		}
	}
	
	echo $templates -> exectemplate( $main_templates[ 'content_layout_gallery_html' ], $main_templates[ 'content_layout_gallery_php' ], $insert );
	echo $templates -> exectemplate( $main_templates[ 'site_footer_html' ], $main_templates[ 'site_footer_php' ], $insert );
}
?>